scim_frontend_module.h File Reference

definition of FrontEndModule related classes. More...

## Classes

class | scim::FrontEndModule
| The class to manipulate the frontend modules. More...

## Namespaces

namespace | scim

## Typedefs

typedef void(* | scim::FrontEndModuleInitFunc) (const BackEndPointer &backend, const ConfigPointer &config, int argc, char **argv)
| Initialize a FrontEnd Module.
typedef void(* | scim::FrontEndModuleRunFunc) (void)
| Run a FrontEnd Module.

## Functions

int | scim::scim_get_frontend_module_list (std::vector< String > &mod_list)
| Get a name list of currently available frontend modules.

## Detailed Description

definition of FrontEndModule related classes.